summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--network/netkit/README29
-rw-r--r--network/netkit/netkit.SlackBuild47
-rw-r--r--network/netkit/netkit.info8
-rw-r--r--network/netkit/slack-desc20
4 files changed, 104 insertions, 0 deletions
diff --git a/network/netkit/README b/network/netkit/README
new file mode 100644
index 0000000000..e7b7ea1b3d
--- /dev/null
+++ b/network/netkit/README
@@ -0,0 +1,29 @@
+Netkit is a self-contained environment that makes it easy and costless to
+emulate complex network configurations on a single host machine. The idea
+underlying Netkit is that each network device is implemented by a virtual
+machine running the appropriate software. Virtual machines can then be
+interconnected as desired by configuring virtual collision domains.
+
+Interconnected machines may be organized to form a laboratory (lab),
+which can be used to emulate the behavior of a particular service or
+protocol (e.g., DNS). The configuration of the lab can be saved to ease
+its distribution and replication.
+
+The project was born (and is still carried on) with the main purpose of
+supporting teaching of networking subjects with realistic experiences.
+
+Requires netkit-kernel and netkit-filesystem available at SlackBuilds.org
+
+After installing add environment variable to ~/.bashrc (~/bash_profile)
+or system global:
+
+export NETKIT_HOME=/opt/netkit export MANPATH=:$NETKIT_HOME/man export
+PATH=$NETKIT_HOME/bin:$PATH
+
+You may check your configuration:
+
+# cd /opt/netkit # ./check_configuration.sh
+
+For quick start:
+http://www.netkit.org/netkit-labs/netkit_introduction/netkit-introduction.pdf
+http://www.netkit.org/faq.html
diff --git a/network/netkit/netkit.SlackBuild b/network/netkit/netkit.SlackBuild
new file mode 100644
index 0000000000..c6cfbd2ed1
--- /dev/null
+++ b/network/netkit/netkit.SlackBuild
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+# Slackware build script for netkit
+
+# Written by Murat D. Kadirov <banderols@gmail.com>
+# This script is just a binary repackaging.
+
+PRGNAM=netkit
+VERSION=2.6
+ARCH=i386
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/opt $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd $TMP
+gzip -9 $PRGNAM/man/man?/*.?
+mv $PRGNAM $PKG/opt
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cd $PKG/opt/$PRGNAM
+mv CHANGES COPYING INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/netkit/netkit.info b/network/netkit/netkit.info
new file mode 100644
index 0000000000..358df57707
--- /dev/null
+++ b/network/netkit/netkit.info
@@ -0,0 +1,8 @@
+PRGNAM="netkit"
+VERSION="2.6"
+HOMEPAGE="http://www.netkit.org"
+DOWNLOAD="http://www.netkit.org/download/netkit/netkit-2.6.tar.bz2"
+MD5SUM="51982d8eb91f798171a25b5aa44bf370"
+MAINTAINER="Murat D. Kadirov"
+EMAIL="banderols@gmail.com"
+APPROVED="David Somero"
diff --git a/network/netkit/slack-desc b/network/netkit/slack-desc
new file mode 100644
index 0000000000..a813ce3079
--- /dev/null
+++ b/network/netkit/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------|
+netkit: netkit (Network emulator)
+netkit:
+netkit: Netkit is a self-contained environment that makes it easy and
+netkit: costless to emulate complex network configurations on a single
+netkit: host machine.
+netkit:
+netkit:
+netkit:
+netkit:
+netkit:
+netkit:
+